export function setRem() {
  const baseSize = 32;
  // 设置 rem 函数
  function setRem() {
    const scale = document.documentElement.clientWidth / 750;
    document.documentElement.style.fontSize =
      baseSize * Math.min(scale, 2) + "px";
    //   // 320 默认大小16px; 320px = 20rem ;每个元素px基础上/16
    //   let htmlWidth =
    //     document.documentElement.clientWidth || document.body.clientWidth;
    //   //得到html的Dom元素
    //   let htmlDom = document.getElementsByTagName("html")[0];
    //   //设置根元素字体大小
    //   htmlDom.style.fontSize = htmlWidth / 23.4375 + "px";
    // console.log(
    //   (document.documentElement.style.fontSize =
    //     baseSize * Math.min(scale, 2) + "px" + " " + "!important")
    // );
    if(document.body.clientWidth <= 500){
      document.documentElement.style.setProperty(
        "font-size",
        16 + "px",
        "important"
      );
    }
    if(document.body.clientWidth < 768 && document.body.clientWidth > 500){
      document.documentElement.style.setProperty(
        "font-size",
        18 + "px",
        "important"
      );
    }
    if(document.body.clientWidth >= 768){
      document.documentElement.style.setProperty(
        "font-size",
        20.888 + "px",
        "important"
      );
    }
    // document.documentElement.style.setProperty(
    //   "font-size",
    //   baseSize * Math.min(scale, 2) + "px",
    //   "important"
    // );
    // document.documentElement.style.setProperty(
    //   "font-size",
    //   16 + "px",
    //   "important"
    // );
  }
  // 初始化
  setRem();
  // 改变窗口大小时重新设置 rem
  window.onresize = function() {
    setRem();
  };
}

export function setHeight() {
  document.documentElement.style.height = 100 + "%";
  document.body.style.height = 100 + "%";
  document.body.style.color = "#000";
}
